Уязвимость BDU:2022-05563

Дата: 26.08.2022. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2022-05563.

Наименование уязвимости: Уязвимость реализации модуля WebSocket сервера для Jabber/XMPP Prosody, позволяющая нарушителю вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость реализации модуля WebSocket сервера для Jabber/XMPP Prosody связана с неверным ограничением XML-ссылок на внешние объекты. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, вызвать отказ в обслуживании
Уязвимое ПО: Операционная система Debian GNU/Linux 10 | Операционная система Fedora Project Fedora 34 | Операционная система Debian GNU/Linux 11 | Операционная система Fedora Project Fedora 35 | Прикладное ПО информационных систем Prosody dev team Prosody до 0.11.12 |

Наименование ОС и тип аппаратной платформы: Debian GNU/Linux 10 | Fedora 34 | Debian GNU/Linux 11 | Fedora 35 |
Дата выявления: 26.08.2022.
CVSS 2.0: AV:N/AC:L/Au:N/C:N/I:N/A:C
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,8)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,5)

Возможные меры по устранению:
Использование рекомендаций:
Для Prosody:
https://prosody.im/security/advisory_20220113/
https://hg.prosody.im/0.11/raw-rev/783056b4e448

Для Debian:
https://security-tracker.debian.org/tracker/CVE-2022-0217
https://security-tracker.debian.org/tracker/DSA-5047-1

Для Fedora:
https://bodhi.fedoraproject.org/updates/FEDORA-2022-426ea6c0b7
https://bodhi.fedoraproject.org/updates/FEDORA-2022-50afc572a4

Организационные меры:
Если ни установка исправлений, ни обновление невозможны, можно отключить модуль WebSocket:

prosodyctl shell module unload websocket

В версии 0.11.0 и более ранних версиях отключить модуль WebSocket можно 3 способами:
1) использовать module:unload("websocket") из консоли telnet;
2) выгрузить модуль с помощью команды XMPP Ad-Hoc;
3) удалить модуль из конфигурации и перезапустите Prosody.
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2022-0217.

Тип ошибки CWE: CWE-20, CWE-611, CWE-776
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://prosody.im/security/advisory_20220113/
https://www.openwall.com/lists/oss-security/2022/01/13/3
https://hg.prosody.im/0.11/raw-rev/783056b4e448
https://security-tracker.debian.org/tracker/CVE-2022-0217
https://bugzilla.redhat.com/show_bug.cgi?id=2040640
https://bodhi.fedoraproject.org/updates/FEDORA-2022-426ea6c0b7
https://bodhi.fedoraproject.org/updates/FEDORA-2022-50afc572a4
https://security-tracker.debian.org/tracker/DSA-5047-1

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *